summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2007-02-24 08:20:37 +0100
committerJim Meyering <jim@meyering.net>2007-02-24 08:20:37 +0100
commit33176a7269eacf3ff60512f7ce3840dd7161ea73 (patch)
treeeffb8f05abc7b59263e15e584445eb2370e7d909 /tests
parent813de08e50ee89bccff10d97caa673331de7a244 (diff)
downloadcoreutils-33176a7269eacf3ff60512f7ce3840dd7161ea73.tar.xz
* tests/du/slink: Skip the test if executing on an nfsv3 file system.
This avoids a test failure at least on OSF/1 4.0d.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/du/slink8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/du/slink b/tests/du/slink
index d3d948ee9..21679345d 100755
--- a/tests/du/slink
+++ b/tests/du/slink
@@ -51,6 +51,14 @@ if test -s tmp; then
(exit 77); exit 77
fi
+df --type=nfsv3 . | tail -n +2 > tmp
+if test -s tmp; then
+ # At least on OSF/1 4.0d, when using an nfsv3 file system,
+ # each created symlink can end up having a size of 0.
+ echo "$0: skipping this test, since \`.' is on an NFS file system" 1>&2
+ (exit 77); exit 77
+fi
+
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
(exit 1); exit 1